Bug 181606 - f95 - internal compiler error: Segmentation fault
f95 - internal compiler error: Segmentation fault
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-15 06:41 EST by Bevis King
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-28 07:20:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source code that exhibits the error. (35.77 KB, text/plain)
2006-02-15 06:41 EST, Bevis King
no flags Details
Sputarrays source code (10.86 KB, text/plain)
2006-02-15 09:39 EST, Bevis King
no flags Details
Sputparameters source code (9.15 KB, text/plain)
2006-02-15 09:41 EST, Bevis King
no flags Details
Generated sputarrays.mod file (84.85 KB, text/plain)
2006-02-15 09:41 EST, Bevis King
no flags Details
Generated sputparameters.mod file. (20.44 KB, text/plain)
2006-02-15 09:42 EST, Bevis King
no flags Details

  None (edit)
Description Bevis King 2006-02-15 06:41:19 EST
Description of problem:
While compiling a fortran 90 program, the compiler segvs.

Output is:
f95  -c utils_2005.f90
 In file utils_2005.f90:506

         IF (D) 5,25,15
                      1
Warning: Obsolete: arithmetic IF statement at (1)
 In file utils_2005.f90:510

         IF (D) 5,25,20
                      1
Warning: Obsolete: arithmetic IF statement at (1)
utils_2005.f90: In function ‘opener’:
utils_2005.f90:1076: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

Line 1076 reads:
               Read(sval(5),*) irecl

Version-Release number of selected component (if applicable):
gcc-gfortran-4.0.2-8.fc4

How reproducible:
Every time, multiple machines.

Steps to Reproduce:
1. compile code (file attached)
  
Actual results:
Compiler dumps core.

Expected results:
Compiler compiles code or issues error diagnostics explaining syntactical error
with the code.

Additional info:
source file which causes error attached - utils_2005.f90
Comment 1 Bevis King 2006-02-15 06:41:19 EST
Created attachment 124670 [details]
Source code that exhibits the error.
Comment 2 Jakub Jelinek 2006-02-15 07:51:11 EST
You need to also provide sources that contain the modules you use
(sputarrays and sputparameters), otherwise this can't be reproduced.
Comment 3 Bevis King 2006-02-15 09:39:38 EST
Created attachment 124679 [details]
Sputarrays source code
Comment 4 Bevis King 2006-02-15 09:41:15 EST
Created attachment 124680 [details]
Sputparameters source code
Comment 5 Bevis King 2006-02-15 09:41:56 EST
Created attachment 124681 [details]
Generated sputarrays.mod file
Comment 6 Bevis King 2006-02-15 09:42:38 EST
Created attachment 124682 [details]
Generated sputparameters.mod file.
Comment 7 Bevis King 2006-02-15 09:43:35 EST
Hopefully that is what you need.  Please let me know if anything else is missing.
Comment 8 Bevis King 2006-02-23 12:30:07 EST
I've just upgraded my test box to the x86_64 version of Fedora Core 5 test 3 and
I can report that the gcc 4.1 fortran shipped with that can compile this code
just fine and produce a working executable.  An upgrade to 4.1 fixes this problem.
Comment 9 Jakub Jelinek 2006-02-28 07:20:17 EST
Fortran bugfixes are no longer being backported to gcc-4_0-branch and
doing that backporting just for FC4 would be very time consuming.

Note You need to log in before you can comment on or make changes to this bug.